Page MenuHomePhabricator

Visual diff - Changes to existing references are not shown in the main window or the sidebar
Closed, ResolvedPublic8 Story Points

Description

Copy/pasting from mediawiki.org:

Problem

A change to an existing reference is not shown on the sidebar or the main window.

Reproduction steps

Go to an article with an reference, e.g.Extension:Scribunto (1) and enter edit mode
Click on a reference, e.g. reference 1 ("i.e. proc_open is not within the array of disable_functions in your server's "php.ini" file.")
Click edit
Change the reference text to "test1"
Click apply changes
Click publish changes
Click review changes
Click Visual
Expected

A change to an existing reference is shown .

Actual

No change is visible, and there is no sidebar description.

Event Timeline

Elitre created this task.Apr 12 2017, 5:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 12 2017, 5:10 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptApr 12 2017, 5:11 PM
Jdforrester-WMF triaged this task as High priority.Apr 18 2017, 7:21 PM
Jdforrester-WMF moved this task from To Triage to TR6: Visual diffs on the VisualEditor board.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF changed the point value for this task from 1 to 8.
Esanders lowered the priority of this task from High to Low.May 24 2017, 9:24 AM
Esanders added a subscriber: Esanders.
This comment was removed by Esanders.
Esanders raised the priority of this task from Low to High.May 24 2017, 9:52 AM

Change 355716 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[VisualEditor/VisualEditor@master] Visual Diff: add internal list diff

https://gerrit.wikimedia.org/r/355716

Change 358375 merged by jenkins-bot:
[mediawiki/extensions/Cite@master] Visual diff: Show correct reference indices in diff

https://gerrit.wikimedia.org/r/358375

Change 355716 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Visual Diff: add internal list diff

https://gerrit.wikimedia.org/r/355716

Change 361940 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (b528a5321)

https://gerrit.wikimedia.org/r/361940

Change 361890 had a related patch set uploaded (by Jforrester; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (b528a5321)

https://gerrit.wikimedia.org/r/361890

Change 361940 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (b528a5321)

https://gerrit.wikimedia.org/r/361940

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJun 29 2017, 7:29 AM

Change 361890 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (b528a5321)

https://gerrit.wikimedia.org/r/361890